Get project modules config
curl --request GET \
--url https://api.ravion.com/projects/{id}/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/projects/{id}/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/projects/{id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Projects
Get project modules config
Returns project metadata, environments, and module instances with their selected module versions. The default raw format mirrors persisted module instance input for debugging. Use format=pretty for an authoring-oriented project modules config with portable module references and resolver-derived input fields omitted. Empty input fields are included by default for raw format and omitted by default for pretty format.
GET
/
projects
/
{id}
/
config
Get project modules config
Path Parameters
Query Parameters
Optional response format. Defaults to raw when omitted. Controls how persisted project configuration is projected in the response.
Available options:
raw, pretty Include null, empty object, and empty array input fields. Defaults to true for raw format and false for pretty format.
Response
The request has succeeded.
The response is of type string.
Was this page helpful?
⌘I